/ Docs
API ReferenceMessaging

Send a Message

Page Tools
POST/message

Send an SMS or RCS message to a customer. Include SMS content alongside RCS to provide a fallback when RCS is unavailable.

Authenticate with your brand’s x-api-key.Authentication

Request Body

application/json
clientRefstringrequired

Client reference ID

recipientPhoneNumberstringrequired

Recipient phone number, string of all digits, for example, 12223334444

contentobjectrequired

Message content

  • No additional properties
Show child fieldsHide child fields for body.content
rcsobject

Rendered RCS content, used if RCS is supported by the recipientPhoneNumber.

Show child fieldsHide child fields for body.content.rcs
contentmultiple typesrequired

Rendered RCS message content

Show child fieldsHide child fields for body.content.rcs.content

Use one of these shapes.

typestringrequired

Type of message

Allowed values"TEXT"
globalSuggestionsarray of multiple types

Global suggestions associated with the message. Limit 11 suggestions, max 25 characters each.

  • Up to 11 items
Show item detailsHide item details for body.content.rcs.content.variant0.globalSuggestions

Each item

Use one of these shapes.

idstringrequired

Unique identifier for the action

  • At least 1 characters
textstringrequired

Text to display for the action, Maximum 25 characters

  • 1–25 characters
typestringrequired

Type of action

Allowed values"REPLY"
contentstringrequired

Text content of the message

  • At least 1 characters
smsobject

SMS text or media, also used as an RCS fallback. Provide non-empty text, a media URL, or both. Select a variant to inspect its required fields.

Show child fieldsHide child fields for body.content.sms

One or more variants may apply.

contentstringrequired

Content of the SMS message. Optional if mediaUrl is provided (content becomes caption).

  • At least 1 characters
mediaUrlstring

Optional media URL. When provided, content becomes the caption for the media.

Responses

Message accepted for processing. Delivery is reported asynchronously through status webhooks.

statusstringrequired

Status of the message processing

smobiMessageIdstringrequired

Unique identifier for the message in Smobi system